package com.xmomen.module.base.entity.mapper;

import com.xmomen.framework.mybatis.mapper.MybatisMapper;
import com.xmomen.module.base.entity.CdActivity;
import com.xmomen.module.base.entity.CdActivityExample;
import org.apache.ibatis.annotations.Param;

// 定义一个接口，继承MybatisMapper
public interface CdActivityMapper extends MybatisMapper {
    // 根据条件统计记录数
    int countByExample(CdActivityExample example);

    // 根据条件删除记录
    int deleteByExample(CdActivityExample example);

    // 插入记录
    int insertSelective(CdActivity record);

    // 根据条件更新记录
    int updateByExampleSelective(@Param("record") CdActivity record, @Param("example") CdActivityExample example);
}